<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UserSecretsId>a841ad02-d180-4ec3-90a2-908747712f4c</UserSecretsId>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="wwwroot\bootstrap\**" />
    <Content Remove="wwwroot\bootstrap\**" />
    <EmbeddedResource Remove="wwwroot\bootstrap\**" />
    <None Remove="wwwroot\bootstrap\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Blazor.Bootstrap" Version="3.5.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="10.0.3" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="10.0.3" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="10.0.3">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.23.0" />
    <PackageReference Include="MudBlazor" Version="9.2.0" />
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="10.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\ModelsLib\ModelsLib.csproj" />
    <ProjectReference Include="..\PhotoShareDb\PhotoShareDb.csproj" />
    <ProjectReference Include="..\PhotoShareDll\ToolsPhotoShare.csproj" />
  </ItemGroup>
</Project>
